%global npm_name client-sessions

Summary:       secure sessions stored in cookies
Name:          nodejs-%{npm_name}
Version:       0.7.0
Release:       2%{?dist}
License:       MPL 2.0
URL:           https://github.com/mozilla/node-client-sessions
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
client-sessions is connect middleware that implements sessions 
in encrypted tamper-free cookies. For a complete introduction 
to encrypted client side sessions, refer to Francois Marier's 
blog post on the subject;

NOTE: It is not recommended using both this middleware and 
connect's built-in session middleware.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr lib package.json test %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc README.md LICENSE ChangeLog
%{nodejs_sitelib}/%{npm_name}

%changelog
* Thu Sep 10 2015 Troy Dawson <tdawson@redhat.com>
- spec change: npmname -> npm_name

* Wed Sep 09 2015 Troy Dawson <tdawson@redhat.com> - 0.7.0-1
- Initial package
